NSX-T Data Center Global Manager REST API

Get consolidated status of an intent object

Get Consolidated Status of an intent object (with or without enforcement specific status details).
The request is evaluated as follows:
- <intent_path>: the request is evaluated on all enforcement points for the given intent without
enforcement point specific details.
- <intent_path, include_enforced_status=true>: the request is evaluated on all enforcement points
for the given intent with enforcement point specific details. This is only supported when intent_path
refers to an object of one of the following types:
SECURITY_POLICY,
GATEWAY_POLICY,
IDS_SECURITY_POLICY,
IDS_GATEWAY_POLICY,
IDS_COMPRESSED_SIGNATURE,
IDS_COMPRESSED_CUSTOM_SIGNATURE,
TLS_POLICY,
VPC_SECURITY_POLICY,
VPC_GATEWAY_POLICY,
PUBLIC_CLOUD_VPC_SECURITY_POLICY,
Passing the path of an unsupported type (e.g. a rule) with include_enforced_status=true
will result in an error. In such cases, pass the path of the parent policy object instead
(e.g., the SecurityPolicy or GatewayPolicy that contains the rule).

Request:

Method:
GET
URI Path(s):
/global-manager/api/v1/global-infra/realized-state/status
Request Headers:
n/a
Query Parameters:
IntentStatusRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/global-manager/api/v1/global-infra/realized-state/status?intent_path=/global-infra/domains/default/security-policies/block-external&include_enforced_status=true

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
ConsolidatedRealizedStatus+

Example Response:

{ "consolidated_status": { "consolidated_status": "ERROR" }, "consolidated_status_per_enforcement_point": [ { "resource_type": "ConsolidatedStatusNsxT", "enforced_status": { "enforced_status_info": { "enforced_status": { "status": "UNKNOWN" }, "enforced_status_per_scope": [ { "enforced_status_per_transport_node": [ { "path": "/infra/sites/default/enforcement-points/default/edge-clusters/ec/edge-nodes/c578e7ba-5ce5-11e9-acec-41d19997391c", "enforced_status": { "status": "FAILURE", "status_message": "Internal error(1101) occurred on transport node c578e7ba-5ce5-11e9-acec-41d19997391c." } }, { "path": "/infra/sites/default/enforcement-points/default/edge-clusters/ec/edge-nodes/a744cd7e-5ce5-11e9-a24b-df71fdc87f85", "enforced_status": { "status": "SUCCESS" } }, { "path": "/infra/sites/default/enforcement-points/default/edge-clusters/ec/edge-nodes/77af8e10-5ce5-11e9-9149-5bb770f7c6c7", "enforced_status": { "status": "SUCCESS" } }, { "path": "/infra/sites/default/enforcement-points/default/edge-clusters/ec/edge-nodes/93ecd452-5ce5-11e9-8c18-bdce5885e998", "enforced_status": { "status": "SUCCESS" } } ], "resource_type": "TransportNodeSpanEnforcedStatus" } ] }, "pending_changes_info": { "pending_changes_flag": false } }, "enforcement_point_path": "/infra/sites/default/enforcement-points/default", "enforcement_point_id": "default", "consolidated_status": { "consolidated_status": "UNKNOWN" } } ], "intent_path": "/infra/domains/default/security-policies/block-external" }

Required Permissions:

read

Feature:

infra_admin

Additional Errors: